--- title: "changeTargetGroupHealthCheckConfiguration" slug: "networking-vloadbalancer-targetgroup-changetargetgrouphealthcheckconfiguration" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-targetgroup-changetargetgrouphealthcheckconfiguration" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeTargetGroupHealthCheckConfiguration Available in VPC Change target group's health check settings. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/changeTargetGroupHealthCheckConfiguration | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code for the target group whose health check settings you want to change - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `targetGroupNo` | String | Required | Target group number - See [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist) | | `healthCheckPort` | Integer | Conditional | Port used by the load balancer when performing health checks to determine the health of the target - 1 - 65534 (default: 80) | | `healthCheckUrlPath` | String | Conditional | URL path to use when performing health checks - Enter the URL path starting with `/` - It can be changed if the target group's health check protocol type is `HTTP` or `HTTPS` | | `healthCheckHttpMethodTypeCode` | String | Conditional | HTTP method type to use for health checks - `HEAD` \| `GET` - It can be changed if the selected target group's health check protocol type is `HTTP` or `HTTPS` | | `healthCheckCycle` | Integer | Conditional | Health check interval (seconds) - 5 - 300 | | `healthCheckUpThreshold` | Integer | Conditional | Number of consecutive successful health checks required to determine that the target health is normal - 2 - 10 | | `healthCheckDownThreshold` | Integer | Conditional | Number of consecutive failed health checks required to determine that the target health is abnormal - 2 - 10 | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/changeTargetGroupHealthCheckConfiguration?regionCode=KR&targetGroupNo=*******&healthCheckPort=80&healthCheckUrlPath=/&healthCheckHttpMethodTypeCode=GET&healthCheckCycle=30&healthCheckUpThreshold=2&healthCheckDownThreshold=2' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetGroupList](/docs/en/common-vapidatatype-targetgrouplist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 3a30cb81-63af-4565-b38b-55d01c9f777d 0 success 1 ******* test-***** VSVR Server (VPC) ***** HTTP HTTP protocol 80 false false RR Round Robin 2024-06-03T13:30:20+0900 KR HTTP HTTP protocol 80 / GET HTTP GET Method 30 2 2 ```